import codecs

class BMSfile:

    header = None

    def __init__(self, header_path: str, bms_path: str):
        self.read_header(header_path)
        self.bms_path = bms_path


    def read_header(self, header_path: str):
        with codecs.open(header_path, "r", "shift_jis") as f:
            self.header = [_ for _ in f]
        

    def write_BMSfile(self, data: list, comment=None):
        assert self.header is not None, "Empty Header"
        out = codecs.open(self.bms_path, "w", "shift_jis")
        out.writelines(self.header)
        out.writelines(data)
        if comment is not None:
            out.write(comment+"\r\n")
        out.close()