import random
from bmslib.utility import *


def randef(_range:tuple) -> str:
    '''
    return random WAV definition from tuple[0] ~ tuple[1].
    '''

    i = random.randint(def2int(_range[0]), def2int(_range[1]))
    return int2def(i)


def randint(i):
    '''
    return random integer from 0 to i-1.
    *numpy.random.randint(i)-like randint
    '''

    return random.randint(0,i-1)


def randlist(l:list):
    '''
    return random value in list.
    '''

    return l[randint(len(l))]


def coin(prob=0.5) -> bool:
    '''
    return True | False by 50:50.(?)
    '''

    return True if random.random() <= prob else False